<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
if ($acces == 1) {
if($admintest && $adminsecu)  {
incoh();
menu('2');
br('1');
if (is_file('kernel/tabs/tabwindow.php')) {
		include_once ('kernel/tabs/tabwindow.php');
		}

if ( is_file ("".$cache."/Configuration/".$cache_prefix."_configadvance.php") ) {
include_once ("".$cache."/Configuration/".$cache_prefix."_configadvance.php");
}
echo "<form action=\"".$admin_file.".php\" method=\"post\">";

$currentTabs=new Tabs("ConfigAdvance");
	$currentTabs->StartTabWindow();
	$currentTabs->AddTab(""._HEADER."");

// 0 = activate - 1 = deactivate
echo "<table border='1' width='100%'>";
// message box
if ( MAXADV_MESSAGE_BOX == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._ADV_MESSAGE_BOX." </td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"message_box\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"message_box\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// center block
if ( MAXADV_CENTER_BLOCKS == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CENTER_BLOCKS."</td><td>"
   . "<input type=\"radio\" name=\"center_blocks\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"center_blocks\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// blockS center
if ( MAXADV_BLOCKS_CENTER == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_BLOCKS_CENTER."</td><td>"
   . "<input type=\"radio\" name=\"blocks_center\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"blocks_center\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// custom_head
if ( MAXADV_CUSTOM_HEAD == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CUSTOM_HEAD."</td><td>"
   . "<input type=\"radio\" name=\"custom_head\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"custom_head\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// blockS center
if ( MAXADV_CUSTOM_HEADER == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CUSTOM_HEADER."</td><td>"
   . "<input type=\"radio\" name=\"custom_header\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"custom_header\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

echo "<tr><td colspan=\"2\"><br /><center><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></center><br /></td></tr>";
echo "</table>";
	$currentTabs->AddTab(""._FOOTER."");
echo "<table border=\"1\" width=\"100%\">";
// crons
if ( MAXADV_CRON1 == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._ADV_CRON1."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"cron1\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"cron1\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_CRON2 == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CRON2."</td><td>"
   . "<input type=\"radio\" name=\"cron2\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"cron2\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_CRON3 == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CRON3."</td><td>"
   . "<input type='radio' name='cron3' value='0'$ck2>"._YES." &nbsp;"
   . "<input type='radio' name='cron3' value='1'$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_CRON4 == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CRON4."</td><td>"
   . "<input type=\"radio\" name=\"cron4\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"cron4\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

// GENERATION
if ( MAXADV_TIME_GENERATION == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_TIME_GENERATION."</td><td>"
   . "<input type=\"radio\" name=\"time_generation\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"time_generation\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// php & mysql
if ( MAXADV_PHPMYSQL == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_PHPMYSQL."</td><td>"
   . "<input type=\"radio\" name=\"phpmysql\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"phpmysql\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// REQUESTS
if ( MAXADV_SQLREQUESTS == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_REQUESTS."</td><td>"
   . "<input type=\"radio\" name=\"sqlrequests\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"sqlrequests\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// memory
if ( MAXADV_MEMORY == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_MEMORY."</td><td>"
   . "<input type=\"radio\" name=\"memory\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"memory\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// VIEWSPAGES
if ( VIEWSPAGE == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_VIEWSPAGES."</td><td>"
   . "<input type=\"radio\" name=\"viewspages\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"viewspages\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// VIEWSPAGES
if ( MAXADV_VIEWSPAGE == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_MAXCACHE."</td><td>"
   . "<input type=\"radio\" name=\"viewspage\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"viewspage\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// blocks footer
if ( MAXADV_BLOCKSFOOTER == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_BLOCKSFOOTER."</td><td>"
   . "<input type=\"radio\" name=\"blocksfooter\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"blocksfooter\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// center block footer
if ( MAXADV_CENTERBLOCKSFOOTER == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CENTERBLOCKSFOOTER."</td><td>"
   . "<input type=\"radio\" name=\"centerblocksfooter\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"centerblocksfooter\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// statistics
if ( MAXADV_STATISTICS == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_STATISTICS."</td><td>"
   . "<input type=\"radio\" name=\"statistics\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"statistics\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// ms analysis
if ( MAXADV_MSANALYSIS == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_MSANALYSIS."</td><td>"
   . "<input type=\"radio\" name=\"msanalysis\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"msanalysis\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
// custom footer
if ( MAXADV_CUSTOMFOOTER == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_CUSTOM_FOOTER."</td><td>"
   . "<input type=\"radio\" name=\"customfooter\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"customfooter\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";


echo "<tr><td colspan=\"2\"><br /><center><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></center><br /></td></tr>";
echo "</table>";
$currentTabs->AddTab(""._MAP."");
echo "<table border=\"1\" width=\"100%\">";
// source crypt
if ( MAXADV_MAPFORUM == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._ADV_MAPFORUM."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"mapforum\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"mapforum\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_MAPTOPICS == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_MAPTOPICS."</td><td>"
   . "<input type=\"radio\" name=\"maptopics\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"maptopics\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
echo "<tr><td colspan=\"2\"><br /><center><input type=\"hidden\" name=\"op\" value=\"SaveConfigureAdvance\"><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></center><br /></td></tr>";
echo "</table>";

$currentTabs->AddTab(""._IMAGES."");
echo "<table border=\"1\" width=\"100%\">";

if ( MAXADV_IMAGETOP == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._IMAGETOP."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"imtop\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"imtop\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

if ( MAXADV_IMAGEMAXCACHE == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._IMAGEMAXCACHE."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"immaxcache\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"immaxcache\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

if ( MAXADV_IMAGECOPY == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._IMAGECOPY."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"imcopy\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"imcopy\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

if ( MAXADV_IMAGEML == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._IMAGEML."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"imml\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"imml\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

if ( MAXADV_IMAGEWEBSITE == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._IMAGEWEBSITE."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"imwebsite\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"imwebsite\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

echo "<tr><td colspan=\"2\"><br /><center><input type=\"hidden\" name=\"op\" value=\"SaveConfigureAdvance\"><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></center><br /></td></tr>";
echo "</table>";

$currentTabs->AddTab(""._VARIOUS."");
echo "<table border=\"1\" width=\"100%\">";
// cryptage - anticlik - antiselect
if ( MAXADV_CRYPTAGE == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td width=\"50%\">"._ADV_CRYPTAGE."</td><td width=\"50%\">"
   . "<input type=\"radio\" name=\"cryptage\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"cryptage\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_ANTICLICKRIGHT == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_ANTICLICKRIGHT."</td><td>"
   . "<input type=\"radio\" name=\"anticlikright\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"anticlikright\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";
if ( MAXADV_ANTISELECT == 1) { $ck1 = " checked"; $ck2 = ""; } else { $ck1 = ""; $ck2 = " checked"; }
echo "<tr><td>"._ADV_ANTISELECT."</td><td>"
   . "<input type=\"radio\" name=\"antiselect\" value=\"0\"$ck2>"._YES." &nbsp;"
   . "<input type=\"radio\" name=\"antiselect\" value=\"1\"$ck1>"._NO."</td></tr>"
   ."</td></tr>";

defined('MAXADV_TIMESESSION_U') OR define('MAXADV_TIMESESSION_U', 3600 );
defined('MAXADV_TIMESESSION_V') OR define('MAXADV_TIMESESSION_V', 3600 );
echo "<tr><td>"._ADV_TIMESESSIONUSER."</td><td>"
   . "<input type=\"text\" name=\"xtimesessionu\" value=\"".MAXADV_TIMESESSION_U."\" size=\"10\" maxlength=\"30\">"
   ."</td></tr>";
echo "<tr><td>"._ADV_TIMESESSIONVISITOR."</td><td>"
   . "<input type=\"text\" name=\"xtimesessionv\" value=\"".MAXADV_TIMESESSION_V."\" size=\"10\" maxlength=\"30\">"
   ."</td></tr>";

echo "<tr><td colspan=\"2\"><br /><center><input type=\"hidden\" name=\"op\" value=\"SaveConfigureAdvance\"><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></center><br /></td></tr>";

echo "</table>";

$currentTabs->EndTabWindow();
echo "</form>";

incof();
}
}else {
	echo "Access Denied";
}